---
id: 68875521efc1a4e3f0c570e3
title: Step 19
challengeType: 20
dashedName: step-19
---

# --description--

Now let's verify that the email was delivered successfully by printing the length of Bob's inbox emails.

# --hints--

You should print the length of Bob's inbox emails using `len(bob.inbox.emails)`

```js
({
    test: () => {
        assert(runPython(`_Node(_code).has_call("print(len(bob.inbox.emails))")`));
    }
})
```

# --seed--

## --seed-contents--

```py
class Email:
    def __init__(self, sender, receiver, subject, body):
        self.sender = sender
        self.receiver = receiver
        self.subject = subject
        self.body = body
        self.read = False

    def mark_as_read(self):
        self.read = True

class User:
    def __init__(self, name):
        self.name = name
        self.inbox = Inbox()

    def send_email(self, receiver, subject, body):
        email = Email(sender=self, receiver=receiver, subject=subject, body=body)
        receiver.inbox.receive_email(email)

class Inbox:
    def __init__(self):
        self.emails = []

    def receive_email(self, email):
        self.emails.append(email)

--fcc-editable-region--
alice = User("Alice")
bob = User("Bob")

alice.send_email(bob, "Hello", "Hi Bob, how are you?")

--fcc-editable-region--
```
